# Method: projects.settings.getValue

- [HTTP request](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/getValue#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/getValue#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/getValue#body.request_body)
- [Response body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/getValue#body.response_body)
- [Authorization Scopes](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/getValue#body.aspect)

Gets a setting value.

Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the setting value does not exist.

### HTTP request

`GET https://resourcesettings.googleapis.com/v1alpha1/{name=projects/*/settings/*/value}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the setting value to get. See `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue` for naming requirements. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `resourcesettings.settingvalues.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).